Subject: Re: [PATCH v7] doc: add an explanation of Git's data model

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 1 Dec 2025 09:14:22 +0100

On Sat, Nov 22, 2025 at 06:37:39PM -0800, Junio C Hamano wrote:
> "Julia Evans via GitGitGadget" <[email-masked]> writes:
> 
> >     changes in v7:
> >     
> >      * Replace "file mode" with "file type", to make it more obvious that
> >        Git does not support general Unix file modes. Remove a broken XML
> >        link as a side effect.
> >      * Use "top-level directory" instead of "base directory"
> >      * Like last time, I still don't have any better ideas for "A branch
> >        refers to a commit ID"
> 
> We haven't seen much comment on this iteration, and hopefully that
> is not showing the lack of interest ;-)  Shall we mark the topic for
> 'next' now?

I've been out of office, but I certainly think that this version is more
than "good enough", and I have a lot of interest in these topics. I've
seen you already merged it to 'master' -- yay!

By the way, thanks a ton Julia for all these improvements to our docs. I
highly appreciate them and think that this is sorely needed. Our users
will certainly appreciate your work!

Patrick